cURL
curl --request GET \
--url https://api.boxpilote.fr/api/public/v1/quotes/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.boxpilote.fr/api/public/v1/quotes/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.boxpilote.fr/api/public/v1/quotes/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"quote_number": "<string>",
"customer_id": "<string>",
"total_amount": 123,
"sub_total_amount": 123,
"expiration_date": "<string>",
"status": "<string>",
"sent_email": true,
"payment_method": "<string>",
"payment_terms": "<string>",
"deposit": 123,
"type": "<string>",
"contract_id": "<string>",
"is_archived": true,
"billing_period": 123,
"refusal_reason": "<string>",
"customer": {
"name": "<string>",
"phone": "<string>",
"email": "<string>"
},
"quote_items": [
{
"id": "<string>",
"quote_id": "<string>",
"item_type": "<string>",
"description": "<string>",
"quantity": 123,
"amount_ht": 123,
"total_ht": 123,
"unit": "<string>",
"unit_id": "<string>",
"product_id": "<string>",
"size": 123,
"discount_duration": 123,
"zone_id": "<string>",
"is_option": true,
"order": 123,
"surface_id": "<string>",
"one_time": true,
"type": "<string>",
"discountType": "<string>",
"discountValue": 123,
"discountAmount": 123
}
]
}{
"statusCode": 400,
"message": "ID du devis requis"
}{
"success": false,
"message": "Unauthorized: Invalid or missing token."
}{
"statusCode": 404,
"message": "Devis non trouvé"
}{
"success": false,
"message": "Erreur récupération du devis"
}Quotes
Get quote by ID
Gets a single quote by ID with full details including customer and quote items.
GET
/
api
/
public
/
v1
/
quotes
/
{id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Quote ID
Response
Quote details
Full quote details for single quote response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I